Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002587KdenliveBuild Systempublic2012-04-20 10:482012-05-15 10:58
Reportersunab 
Assigned Tottill 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSUbuntuOS Version10.04
Product Version 
Target VersionFixed in Version0.9 
Summary0002587: Kdenlive git fails to build with Qt< 4.7 [audioCorrelation]
DescriptionBuild failure at :

/build/buildd/kdenlive-0.8.3+git20120420.f41ee253/src/lib/audio/audioCorrelation.cpp: In static member function 'static void AudioCorrelation::correlate(const int64_t*, int, const int64_t*, int, int64_t*, int64_t*)':
/build/buildd/kdenlive-0.8.3+git20120420.f41ee253/src/lib/audio/audioCorrelation.cpp:143: error: call of overloaded 'abs(int64_t&)' is ambiguous
/usr/include/c++/4.4/cmath:94: note: candidates are: double std::abs(double)
/usr/include/c++/4.4/cmath:98: note: float std::abs(float)
/usr/include/c++/4.4/cmath:102: note: long double std::abs(long double)
make[3]: *** [src/CMakeFiles/kdenlive.dir/lib/audio/audioCorrelation.o] Error 1
TagsNo tags attached.
Build/Install Method3rd party package
Attached Files

- Relationships

-  Notes
(0008000)
ttill (developer)
2012-04-28 12:04

Thanks for your report.
This wasn't related to the version of Qt but rather to the C++ implementation. Should be fixed now anyways.
(0008004)
sunab (developer)
2012-04-29 14:10

It is fixed. Thanks.

- Issue History
Date Modified Username Field Change
2012-04-20 10:48 sunab New Issue
2012-04-28 12:04 ttill Note Added: 0008000
2012-04-28 12:04 ttill Assigned To => ttill
2012-04-28 12:04 ttill Status new => feedback
2012-04-29 14:10 sunab Note Added: 0008004
2012-04-29 14:10 sunab Status feedback => assigned
2012-05-06 21:45 j-b-m Status assigned => resolved
2012-05-06 21:45 j-b-m Fixed in Version => Recent git
2012-05-06 21:45 j-b-m Resolution open => fixed
2012-05-15 10:57 j-b-m Fixed in Version Recent git => 0.9
2012-05-15 10:58 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker